Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78371 - Allow system logfiles to be group readable
Summary: Allow system logfiles to be group readable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brian Brock
URL:
Whiteboard:
: 72195 (view as bug list)
Depends On:
Blocks: 72195
TreeView+ depends on / blocked
 
Reported: 2002-11-21 20:45 UTC by Karl O. Pinc
Modified: 2007-04-18 16:48 UTC (History)
3 users (show)

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-07 18:52:53 UTC


Attachments (Terms of Use)
Patch to allow syslogd's umask to be configured (deleted)
2002-11-21 20:45 UTC, Karl O. Pinc
no flags Details | Diff

Description Karl O. Pinc 2002-11-21 20:45:02 UTC
Description of Problem:

We want the system logs to be group readable so you don't have to
be root to check up on the system.  The syslogd et-al umask
is hardcoded into /etc/init.d/syslog.  I'd like to see it a
configurable parameter.


Version-Release number of selected component (if applicable):
Version     : 1.4.1                             Vendor: Red Hat, Inc.
Release     : 8    

It may be appropriate to set the sticky bit on /var/log/, but
maybe not.

Am attaching a patch to set the appropriate umask.  (Patch sets
umask to current default, nobody but root can read or write.)
Uses /etc/sysconfig/syslog.

Comment 1 Karl O. Pinc 2002-11-21 20:45:47 UTC
Created attachment 85964 [details]
Patch to allow syslogd's umask to be configured

Comment 2 Andrei Ivanov 2003-02-07 19:29:54 UTC
Or at least man page should be updated. RHL7.2's version says (in BUGS section):

  If a file is created it is world readable.

With that "umask 077" command in /etc/rc.d/init.d/syslog default behaviour,
obviously, now is the opposite of what man page says.

Comment 3 Jason Vas Dias 2005-06-03 20:51:10 UTC
Sorry for the delay in getting to this bug .

The next version of sysklogd will support a configurable umask setting
similar to your attached patch. 

Comment 4 Jason Vas Dias 2005-06-03 21:25:39 UTC
*** Bug 72195 has been marked as a duplicate of this bug. ***

Comment 5 Bill Nottingham 2006-08-05 04:02:35 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 6 Wil Cooley 2006-08-07 18:51:30 UTC
The umask is not configurable in the init script, so I guess technically this
bug has been fixed.  There is a broader goal, in my mind, of "make wheel
useful", which includes giving group-read access to syslog logs, making that
group wheel, ensuring logrotate defaults to those permissions, etc., that this
bug touches on but does not wholly address.

Comment 7 Bill Nottingham 2006-08-07 18:52:53 UTC
Closing based on the context of original report - thanks!


Note You need to log in before you can comment on or make changes to this bug.